NewEnvelopedDataStreamTest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms.test

## Class NewEnvelopedDataStreamTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.cms.test.NewEnvelopedDataStreamTest

- All Implemented Interfaces:
    junit.framework.Test

      public class NewEnvelopedDataStreamTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewEnvelopedDataStreamTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `static junit.framework.Test` | `suite()`
    `void` | `testAESKEK()`
    `void` | `testECKeyAgree()`
    `void` | `testKeyTransAES128()`
    `void` | `testKeyTransAES128AndOriginatorInfo()`
    `void` | `testKeyTransAES128Buffered()`
    `void` | `testKeyTransAES128BufferedStream()`
    `void` | `testKeyTransAES128Der()`
    `void` | `testKeyTransAES128Throughput()`
    `void` | `testKeyTransCAST5SunJCE()`
    `void` | `testOriginatorInfo()`
    `void` | `testTwoAESKEK()`
    `void` | `testUnprotectedAttributes()`
    `void` | `testWorkingData()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NewEnvelopedDataStreamTest

          public NewEnvelopedDataStreamTest()

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws java.lang.Exception

      Overrides:
        `setUp` in class `junit.framework.TestCase`
      Throws:
        `java.lang.Exception`

    - #### testWorkingData

          public void testWorkingData()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testUnprotectedAttributes

          public void testUnprotectedAttributes()
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransAES128BufferedStream

          public void testKeyTransAES128BufferedStream()
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransAES128Buffered

          public void testKeyTransAES128Buffered()
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransAES128Der

          public void testKeyTransAES128Der()
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransAES128Throughput

          public void testKeyTransAES128Throughput()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransAES128AndOriginatorInfo

          public void testKeyTransAES128AndOriginatorInfo()
                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransAES128

          public void testKeyTransAES128()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransCAST5SunJCE

          public void testKeyTransCAST5SunJCE()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAESKEK

          public void testAESKEK()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testTwoAESKEK

          public void testTwoAESKEK()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testECKeyAgree

          public void testECKeyAgree()
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testOriginatorInfo

          public void testOriginatorInfo()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### suite

          public static junit.framework.Test suite()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`